Package com.emc.d2fs.models.x3_skin

# Class X3GraphicCssRule

java.lang.Object
com.emc.d2fs.models.x3_skin.X3GraphicCssRule

All Implemented Interfaces:
  `Serializable`

public class X3GraphicCssRule extends Object implements Serializable

Java class for x3_graphic_css_rule complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="x3_graphic_css_rule">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="selector" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="declaration" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X3GraphicCssRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDeclaration()`
  Gets the value of the declaration property.
  `String`
  `getSelector()`
  Gets the value of the selector property.
  `void`
  `setDeclaration(String value)`
  Sets the value of the declaration property.
  `void`
  `setSelector(String value)`
  Sets the value of the selector property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### X3GraphicCssRule

    public X3GraphicCssRule()

- ## Method Details

  - ### getSelector

    public String getSelector()
    Gets the value of the selector property.
    Returns:
      possible object is `String`

  - ### setSelector

    public void setSelector(String value)
    Sets the value of the selector property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDeclaration

    public String getDeclaration()
    Gets the value of the declaration property.
    Returns:
      possible object is `String`

  - ### setDeclaration

    public void setDeclaration(String value)
    Sets the value of the declaration property.
    Parameters:
      `value` - allowed object is `String`